Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.transport
Interface MessageRequester

All Superinterfaces:
  Connectable, Disposable, Initialisable, Lifecycle, LifecycleStateEnabled, MessageRequesting, Startable, Stoppable

All Known Implementing Classes:
  AbstractMessageRequester, AxisMessageRequester, FileMessageRequester, FtpMessageRequester, HttpClientMessageRequester, JdbcMessageRequester, JmsMessageRequester, RetrieveMessageRequester, TcpMessageRequester, UdpMessageRequester, UnsupportedMessageRequester, VMMessageRequester, XmppMessageRequester

    public interface MessageRequester

extends Connectable, MessageRequesting, LifecycleStateEnabled

Combine `MessageRequesting` with various lifecycle methods for the actual instances doing message sending.

Field Summary

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Fields inherited from interface org.mule.api.transport.MessageRequesting
`REQUEST_NO_WAIT, REQUEST_WAIT_INDEFINITELY`

Method Summary
`void` | `activate()` This method can perform necessary state updates before any of the `MessageDispatching` methods are invoked.
`MuleMessage` | `createMuleMessage(Object transportMessage)`
`MuleMessage` | `createMuleMessage(Object transportMessage, String encoding)`
`Connector` | `getConnector()` Gets the connector for this dispatcher
`InboundEndpoint` | `getEndpoint()`
`void` | `passivate()` After receiving a message, the dispatcher can use this method e.g.
`boolean` | `validate()` Determines whether this dispatcher can be reused after message receiving.

Methods inherited from interface org.mule.api.transport.Connectable
`connect, disconnect, getConnectionDescription, isConnected, validateConnection`

Methods inherited from interface org.mule.api.lifecycle.Initialisable
`initialise`

Methods inherited from interface org.mule.api.lifecycle.Startable
`start`

Methods inherited from interface org.mule.api.lifecycle.Stoppable
`stop`

Methods inherited from interface org.mule.api.lifecycle.Disposable
`dispose`

Methods inherited from interface org.mule.api.transport.MessageRequesting
`request`

Methods inherited from interface org.mule.api.lifecycle.LifecycleStateEnabled
`getLifecycleState`

Method Detail

### activate

    void activate()

  This method can perform necessary state updates before any of the `MessageDispatching` methods are invoked.

  See Also:
    `MessageDispatcherFactory.activate(OutboundEndpoint, MessageDispatcher)`

### passivate

    void passivate()

  After receiving a message, the dispatcher can use this method e.g. to clean up its internal state (if it has any) or return pooled resources to whereever it got them during `activate()`.

  See Also:
    `MessageDispatcherFactory.passivate(OutboundEndpoint, MessageDispatcher)`

### validate

    boolean validate()

  Determines whether this dispatcher can be reused after message receiving.

  Returns:
    `true` if this dispatcher can be reused, `false` otherwise (for example when `Disposable.dispose()` has been called because an Exception was raised)

### getConnector

    Connector getConnector()

  Gets the connector for this dispatcher

  Returns:
    the connector for this dispatcher

### getEndpoint

    InboundEndpoint getEndpoint()

  Returns:
    the endpoint used for requesting events

### createMuleMessage

    MuleMessage createMuleMessage(Object transportMessage,
                                  String encoding)
                                  throws MuleException

  Throws:
    `MuleException`

### createMuleMessage

    MuleMessage createMuleMessage(Object transportMessage)
                                  throws MuleException

  Throws:
    `MuleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.